Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations MintJulep on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

API and Hole Callouts

Status
Not open for further replies.

cangevine

Industrial
May 14, 2004
19
Hello All,
I’m having trouble finding the API commands to get and set Hole Callout information in a drawing. I want to change the tolerance type and values of a Hole Callout dimension. Below is the code that just changes the type to bilateral. It works fine for regular display dimensions, but doesn't do anything to a hole callout. I think it has something to do with the Callout Value. Can someone point me in the right direction? Thanks.

Chris

Sub main()
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swSelMgr = swModel.SelectionManager
Count = swSelMgr.GetSelectedObjectCount2(-1) 'Number of Dimensions Selected
If swSelMgr.GetSelectedObjectType3(1, -1) <> swSelDIMENSIONS Then 'Verify Dimensions Selected
swApp.SendMsgToUser2 "No Dimensions Selected", swMbWarning, swMbOk
End
End If

Count = Count + 1
i = 1
Do While i < Count
Set swDispDim = swSelMgr.GetSelectedObject6(i, 0)
Set swDim = swDispDim.GetDimension
Set swDimTol = swDim.Tolerance

swDimTol.Type = swTolBILAT
i = i + 1
Loop
swModel.ClearSelection2 True
End Sub
 
Replies continue below

Recommended for you

fcsuper,
Any idea where I should start looking? Thanks.
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor